export default {
  resource: 'admin',

  map() {
    this.route('dashboard', { path: '/' });
    this.resource('adminSiteSettings', { path: '/site_settings' }, function() {
      this.resource('adminSiteSettingsCategory', { path: 'category/:category_id'} );
    });

    this.resource('adminEmail', { path: '/email'}, function() {
      this.route('sent');
      this.route('skipped');
      this.route('bounced');
      this.route('received');
      this.route('rejected');
      this.route('previewDigest', { path: '/preview-digest' });
    });

    this.resource('adminCustomize', { path: '/customize' } ,function() {
      this.route('colors');

      this.resource('adminCustomizeCssHtml', { path: 'css_html' }, function() {
        this.route('show', {path: '/:site_customization_id/:section'});
      });

      this.resource('adminSiteText', { path: '/site_texts' }, function() {
        this.route('edit', { path: '/:id' });
      });

      this.resource('adminUserFields', { path: '/user_fields' });
      this.resource('adminEmojis', { path: '/emojis' });
      this.resource('adminPermalinks', { path: '/permalinks' });
      this.resource('adminEmbedding', { path: '/embedding' });
      this.resource('adminCustomizeEmailTemplates', { path: '/email_templates' }, function() {
        this.route('edit', { path: '/:id' });
      });
    });
    this.route('api');
    this.resource('adminWebHooks', { path: '/web_hooks' }, function() {
      this.route('show', { path: '/:web_hook_id' });
      this.route('showEvents', { path: '/:web_hook_id/events' });
    });

    this.resource('admin.backups', { path: '/backups' }, function() {
      this.route('logs');
    });

    this.resource('adminReports', { path: '/reports/:type' });

    this.resource('adminFlags', { path: '/flags' }, function() {
      this.route('list', { path: '/:filter' });
    });

    this.resource('adminLogs', { path: '/logs' }, function() {
      this.route('staffActionLogs', { path: '/staff_action_logs' });
      this.route('screenedEmails', { path: '/screened_emails' });
      this.route('screenedIpAddresses', { path: '/screened_ip_addresses' });
      this.route('screenedUrls', { path: '/screened_urls' });
    });

    this.resource('adminGroups', { path: '/groups' }, function() {
      this.route('bulk');
      this.route('bulkComplete', { path: 'bulk-complete' });
      this.resource('adminGroupsType', { path: '/:type' }, function() {
        this.resource('adminGroup', { path: '/:name' });
      });
    });

    this.resource('adminUsers', { path: '/users' }, function() {
      this.resource('adminUser', { path: '/:user_id/:username' }, function() {
        this.route('badges');
        this.route('tl3Requirements', { path: '/tl3_requirements' });
      });

      this.resource('adminUsersList', { path: '/list' }, function() {
        this.route('show', { path: '/:filter' });
      });
    });

    this.resource('adminBadges', { path: '/badges' }, function() {
      this.route('show', { path: '/:badge_id' });
    });
  }
};
